github.phpd.cn/cilium/cilium@v1.6.12/test/bpf/probes-test.sh (about)

     1  #!/bin/bash
     2  #
     3  # Copyright 2018 Authors of Cilium
     4  #
     5  # Licensed under the Apache License, Version 2.0 (the "License");
     6  # you may not use this file except in compliance with the License.
     7  # You may obtain a copy of the License at
     8  #
     9  #     http://www.apache.org/licenses/LICENSE-2.0
    10  #
    11  # Unless required by applicable law or agreed to in writing, software
    12  # distributed under the License is distributed on an "AS IS" BASIS,
    13  # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    14  # See the License for the specific language governing permissions and
    15  # limitations under the License.
    16  
    17  set -e
    18  
    19  DEV="cilium-probe"
    20  LIB="bpf"
    21  RUNDIR="test/bpf/_results"
    22  
    23  function cleanup {
    24  	ip link del ${DEV} 2>/dev/null || true
    25  }
    26  
    27  if [ ! -e ${RUNDIR}/globals ]; then
    28  	mkdir -p ${RUNDIR}/globals
    29  fi
    30  
    31  if [ $(id -u) -ne 0 ]; then
    32  	echo "Must be run as root"
    33  	exit 1
    34  fi
    35  
    36  trap cleanup EXIT
    37  ip link add ${DEV} type dummy
    38  ${LIB}/run_probes.sh $LIB $RUNDIR 2>/dev/null
    39  for path in $(find $RUNDIR -type f); do
    40  	echo "=> Examining $path..."
    41  	cat $path
    42  done